import { world, system } from "@minecraft/server";

function durabilityOnChanged(item, player, isHitEntity = false) {
    let level = item.getComponent("minecraft:enchantable")?.getEnchantment("unbreaking")?.level;

    function durability() {
        let durability = item.getComponent("minecraft:durability");

        const t = Math.floor(Math.random() * 100);

        if (t < durability.getDamageChance()) {
            if (!isHitEntity) durability.damage += 1;
            if (durability.damage >= durability.maxDurability) {
                player.playSound("random.break");
                if (!isHitEntity) player.getComponent('equippable').setEquipment('Mainhand', undefined)
            } else {
                if (!isHitEntity) player.getComponent('equippable').setEquipment('Mainhand', item)
            }
        } else {
            if (!isHitEntity) return;
            durability.damage -= 1;
            if (!isHitEntity) player.getComponent('equippable').setEquipment('Mainhand', item);
        }
    }

    const t = Math.floor(Math.random() * 10)
    if (level === 1 && t > 8) return;
    else if (level === 2 && t > 6) return;
    else if (level === 3 && t > 4) return;
    else durability();
}

world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('pa_gold_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function nuggies");
e.source.runCommand("function cropgrowthem");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Ingoter");
e.attackingEntity.runCommand("function areacropgrowth");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_copper_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function trade");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Ballder");
e.attackingEntity.runCommand("function Yourfault");
e.attackingEntity.runCommand("function criticalhitemitter");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Ballouder");
e.source.runCommand("function placesculksound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_fire_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function firepath");
e.source.runCommand("function firespeed1122");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound");
e.source.runCommand("function campfireparticler"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function firepath");
e.source.runCommand("function lavahere");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Fireaspecter");
e.attackingEntity.runCommand("function cauldronexplosionemitter");
e.attackingEntity.runCommand("function lavaparticle"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function lavahere");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function randomscreenshot"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_diamond_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function DiamondSpeed");
e.source.runCommand("function gimmehp");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_gravity_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Worldsonthesky");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_blood_amulet:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Bloodlust4ever");
e.attackingEntity.runCommand("function gimmehp");
e.attackingEntity.runCommand("function knockbackroarparticler");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_flight_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function levitatedearbee"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function ojeblockpertime");
e.source.runCommand("function eggedestroyemitter");
e.source.runCommand("function randomglassbreak"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function upyougo");
e.attackingEntity.runCommand("function eggedestroyemitter");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_experience_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function xper");
e.source.runCommand("function xperbottler");
e.source.runCommand("function amethystclustersound");
e.source.runCommand("function randomglassbreak"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function xper");
e.source.runCommand("function xperbottler");
e.source.runCommand("function randomglassbreak");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function xperbottler");
e.attackingEntity.runCommand("function xpoutrage");
e.attackingEntity.runCommand("function randomglassbreak");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function randomglassbreak"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_tunneler_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function tunnelerfiller");
e.source.runCommand("function smashgroundparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_protector_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Golenator");
e.source.runCommand("function Immunity4golem");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function wardendiggingparticle");
e.source.runCommand("function randomscreenshot"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function anvilcarefulhaha");
e.source.runCommand("function wardendiggingparticle");
e.source.runCommand("function randomglassbreak"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_death_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Randomdeath");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function s0lashspellemitter");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_beserk_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function gimmehp");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function IMRAGING");
e.attackingEntity.runCommand("function criticalhitemitter");
e.attackingEntity.runCommand("function eggedestroyemitter");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_fish_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function spongerrr");
e.source.runCommand("function eggedestroyemitter");
e.source.runCommand("function placesculksound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Saturationforfisy");
e.attackingEntity.runCommand("function trialspawnerdetection");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_crystal_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Alittleshieldy");
e.source.runCommand("function criticalhitemitter"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Yourfault"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_leaf_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function gimmehp");
e.source.runCommand("function cropgrowthem");
e.source.runCommand("function placesculksound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function squareOak");
e.source.runCommand("function 4blocksup");
e.source.runCommand("function areacropgrowth");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function amethystclustersound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_demolisher_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Nethersmasher");
e.source.runCommand("function DiamondSpeed");
e.source.runCommand("function wardendiggingparticle");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function firepath");
e.attackingEntity.runCommand("function lavaparticle");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_light_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function overspeeding");
e.source.runCommand("function endrodparticle");
e.source.runCommand("function endrodparticleabove");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_silence_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function thewallsbreathe");
e.source.runCommand("function endrodparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function palerthanever2876");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function placesculksound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_soul_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function enemiestoallies");
e.source.runCommand("function soulparticler");
e.source.runCommand("function placesculksound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function spectating");
e.source.runCommand("function rbjuytfh");
e.source.runCommand("function soulparticler");
e.source.runCommand("function randomscreenshot"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function SoulSnatcher");
e.attackingEntity.runCommand("function eggedestroyemitter");
e.attackingEntity.runCommand("function soulparticler");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_explosive_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function upyougo");
e.source.runCommand("function randomglassbreak"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function anotheroneofthezs");
e.source.runCommand("function poorautodestructitsobsolete");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function autodestruct");
e.attackingEntity.runCommand("function lavaparticle");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_lightnin_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function gimmehp");
e.source.runCommand("function trueligjtningnolttothemax"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Lightning"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function fireresisted4ever");
e.attackingEntity.runCommand("function lavaparticle");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_love_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Toomuchlifehuh");
e.source.runCommand("function heartparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function gimmehp");
e.attackingEntity.runCommand("function heartparticle");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_absorption_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function unkillableearrior");
e.source.runCommand("function s0lashspellemitter");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function goldenappols");
e.attackingEntity.runCommand("function cropgrowthem");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_weather_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function clearer");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function rainy");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function thunderous");
e.source.runCommand("function placesculksound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_time_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function back2normalbaby");
e.source.runCommand("function cropgrowthem");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function timestopoof");
e.attackingEntity.runCommand("function cropgrowthem");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function SOfast");
e.source.runCommand("function cropgrowthem");
e.source.runCommand("function randomglassbreak"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_pyschic_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function trueoverpsyhic");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function endrodparticle");
e.source.runCommand("function endrodparticleabove");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Nohitting"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Nohitting");
e.source.runCommand("function Experimentalism"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_hazard_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function truerkillallevenyouhuh");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function placesculksound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Stringshield");
e.source.runCommand("function wardendiggingparticle");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function hazardbuffhehehe");
e.attackingEntity.runCommand("function particlefireperiticle");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function witheringroses");
e.source.runCommand("function s0lashspellemitter");
e.source.runCommand("function randomscreenshot"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_revive_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function SoulSnatcher");
e.source.runCommand("function soulparticler");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function FlyTillDawn");
e.attackingEntity.runCommand("function Zombi1");
e.attackingEntity.runCommand("function zombi2");
e.attackingEntity.runCommand("function zombi3");
e.attackingEntity.runCommand("function Slowfall");
e.attackingEntity.runCommand("function endchestandreverseportal");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Spawnherebro");
e.source.runCommand("function areacropgrowth");
e.source.runCommand("function randomglassbreak"); },
});

{initEvent.itemComponentRegistry.registerCustomComponent("pa_trickster_amulet:trigger", {
    onUse: e => {
        const equippable = e.source.getComponent("minecraft:equippable");
        if (!equippable) return;
        const mainhand = equippable.getEquipmentSlot("Mainhand");
        if (!mainhand.hasItem()) return;
        mainhand.amount++;
    },
})
}
initEvent.itemComponentRegistry.registerCustomComponent('pa_gamebreaker_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Survivalist");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function randomglassbreak"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Creativating");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Creativating"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_enchanting_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Enchantingamulet");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function s0lashspellemitter");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Evocationtrip"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_string_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Scorchingstring");
e.source.runCommand("function Weaved");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Stringshield");
e.attackingEntity.runCommand("function wardendiggingparticle");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_slayerofgod_amulet:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function youregoingwithme");
e.attackingEntity.runCommand("function imgoingdown");
e.attackingEntity.runCommand("function Lightning"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_evocationer_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Evocationtrip");
e.source.runCommand("function mobspellemittermine"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function gimmehp");
e.attackingEntity.runCommand("function s0lashspellemitter");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function enemiestoallies");
e.source.runCommand("function cropgrowthem");
e.source.runCommand("function placesculksound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_shameful_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Normalism");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function pacificlands");
e.attackingEntity.runCommand("function areacropgrowth");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function thissucks");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function randomscreenshot"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_kamizake_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function notgoingdown2876");
e.source.runCommand("function cropgrowthem");
e.source.runCommand("function randomglassbreak"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function youregoingwithme");
e.attackingEntity.runCommand("function gimmehp");
e.attackingEntity.runCommand("function Lightning");
e.attackingEntity.runCommand("function Spawnherebro"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_gameboy_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Viruser");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function randomscreenshot"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function abuffymalware");
e.source.runCommand("function s0lashspellemitter");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_overseer_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Portalism");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function finalportal");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function randomscreenshot"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function finalportal"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_shadow_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function shortinvisi4shadow");
e.source.runCommand("function wardendiggingparticle");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function URWEAK");
e.attackingEntity.runCommand("function eggedestroyemitter");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Smoke4shadow"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_pocket_dimension_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function picketdimension");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function eggedestroyemitter");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_ice_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Notfeeezingtoday");
e.source.runCommand("function notwithoutpunishment");
e.source.runCommand("function snowflakepartic");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function snowgolemite");
e.attackingEntity.runCommand("function snowflakepartic");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_terra_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function stoneplat");
e.source.runCommand("function cropgrowthem");
e.source.runCommand("function placesculksound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function terrashield");
e.source.runCommand("function wardendiggingparticle");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Gravelabovee");
e.attackingEntity.runCommand("function wardendiggingparticle");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Grassyterrain");
e.source.runCommand("function placesculksound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_arcane_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Groundania");
e.source.runCommand("function gimmeenderpearls");
e.source.runCommand("function mobspellemittermine");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function endrodparticle");
e.source.runCommand("function endrodparticleabove");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Somanystuff");
e.attackingEntity.runCommand("function Lightning");
e.attackingEntity.runCommand("function gimmeenderpearls");
e.attackingEntity.runCommand("function endrodparticleabove");
e.attackingEntity.runCommand("function mobspellemittermine");
e.attackingEntity.runCommand("function totemparticler1");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Gimmeshardie");
e.source.runCommand("function gimmeenderpearls");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function randomglassbreak"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_eclipse_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Division");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function totemparticler1");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Nerfed"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sun_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Lightemup");
e.source.runCommand("function Fireaspecter");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function sunnyestday");
e.attackingEntity.runCommand("function lavaparticle");
e.attackingEntity.runCommand("function totemparticler1");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_moon_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Tothemoonexclamation");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function darkestdayish");
e.attackingEntity.runCommand("function criticalhitemitter");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_cloning_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function cloner");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function smashgroundparticle");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_stairway_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function divineboost");
e.source.runCommand("function totemparticler1");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Weaklings");
e.attackingEntity.runCommand("function Totemofbimauling");
e.attackingEntity.runCommand("function criticalhitemitter");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_magnetic_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Allthoseitemsstraighttome");
e.source.runCommand("function smashgroundparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function desarmedfully");
e.attackingEntity.runCommand("function criticalhitemitter");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Pleaseworktp");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function placesculksound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sound_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Autoslayed");
e.source.runCommand("function sonicexplosionsound");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Wardening");
e.source.runCommand("function soulparticler");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_convergent_gravity_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function meteorfunc");
e.source.runCommand("function wardendiggingparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function everyoneontheairr");
e.attackingEntity.runCommand("function trialspawnerdetection");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function slownesstoall");
e.source.runCommand("function smashgroundparticle");
e.source.runCommand("function randomglassbreak"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_bt_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Truertrueautodestruct");
e.source.runCommand("function eggedestroyemitter");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function crystalwlightning");
e.attackingEntity.runCommand("function knockbackroarparticler"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function cobblepillar");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function amethystclustersound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_inexistant_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function clearofitems");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_redstonedust_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function resdtonsak");
e.source.runCommand("function risingborderdustty");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Lightning"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function gimmeredddie");
e.source.runCommand("function cauldronexplosionemitter");
e.source.runCommand("function placesculksound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_last_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Lastamuletlaststand");
e.source.runCommand("function Lightning");
e.source.runCommand("function Laststandtitle");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function smashgroundparticle");
e.source.runCommand("function totemparticler1");
e.source.runCommand("function trialspawnerdetection"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_windcharge_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function windaround");
e.source.runCommand("function windchsrged4ever");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function ultraskyjump");
e.attackingEntity.runCommand("function smashgroundparticle"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function carriesbythewind");
e.source.runCommand("function s0lashspellemitter"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_stageoneblazing_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function scorchingcombo");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Fireeverywherearound");
e.attackingEntity.runCommand("function uppgrade11");
e.attackingEntity.runCommand("function lavaparticle");
e.attackingEntity.runCommand("function trialspawnerdetection");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_stagemaxblazing_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function scorchingcombo3");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Fireeverywherearound3");
e.attackingEntity.runCommand("function uppdgrade33");
e.attackingEntity.runCommand("function Nerfed");
e.attackingEntity.runCommand("function lavaparticle");
e.attackingEntity.runCommand("function knockbackroarparticler");
e.attackingEntity.runCommand("function anexplosion2876");
e.attackingEntity.runCommand("function undyingfor1second"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_stageotwoblazing_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function scorchingcombo2");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Fireeverywherearound2");
e.attackingEntity.runCommand("function uppgrade22");
e.attackingEntity.runCommand("function lavaparticle");
e.attackingEntity.runCommand("function trialspawnerdetection");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_windblazeamulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Windblaze1");
e.source.runCommand("function windblazenew2");
e.source.runCommand("function windchsrged4ever");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function windblaze2");
e.attackingEntity.runCommand("function smashgroundparticle");
e.attackingEntity.runCommand("function lavaparticle"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function windblaze3"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_anti_sword:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function someamuletsgoboom"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function unsworded");
e.attackingEntity.runCommand("function outshinedtag"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_control_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Controlhelmet");
e.source.runCommand("function eggedestroyemitter");
e.source.runCommand("function sonicexplosionsound");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function knockingback"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_food_amulet:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:fire_resistance", 1200, {amplifier: 1});
e.source.addEffect("minecraft:haste", 1200, {amplifier: 3});
e.source.addEffect("minecraft:jump_boost", 1200, {amplifier: 13});
e.source.addEffect("minecraft:nausea", 200, {amplifier: 1});
e.source.addEffect("minecraft:night_vision", 1200, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 1200, {amplifier: 2});
e.source.addEffect("minecraft:saturation", 60, {amplifier: 1});
e.source.addEffect("minecraft:speed", 1200, {amplifier: 2});
e.source.removeEffect("minecraft:wither");
e.source.removeEffect("minecraft:weakness");
e.source.removeEffect("minecraft:slowness");
e.source.removeEffect("minecraft:poison");
e.source.removeEffect("minecraft:mining_fatigue");
e.source.removeEffect("minecraft:hunger");
e.source.removeEffect("minecraft:blindness");
e.source.removeEffect("minecraft:fatal_poison");
  
},

  onUse: e => {
  e.source.runCommand("function gimmehp");
},

});

initEvent.itemComponentRegistry.registerCustomComponent('pa_kings_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function horsewarrior");
e.source.runCommand("function iron4ever1");
e.source.runCommand("function bewildedwarriosa");
e.source.runCommand("function areacropgrowth");
e.source.runCommand("function totemparticler1");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function poisonedking"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Villager4me");
e.source.runCommand("function cropgrowthem"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_knowledge_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function deadweight");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function gimmetutorialagainburv");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_equipamen_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function iron4ever");
e.source.runCommand("function bewildedwarrios");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function randomscreenshot");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_savage_amulet2876:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function copperamulethuver");
e.source.runCommand("function knowformore");
e.source.runCommand("function headstarthuh");
e.source.runCommand("function nomoresavaging4you");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function copperamulethuver");
e.attackingEntity.runCommand("function knowformore"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function copperamulethuver");
e.source.runCommand("function knowformore"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_adrenaline_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function adrenalining");
e.source.runCommand("function itsempty");
e.source.runCommand("function Yourfault");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function placesculksound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_empty_adrenaline_amulet:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function adrenalinefullagain");
e.attackingEntity.runCommand("function eggedestroyemitter");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_locate_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function wooppsmybad");
e.source.runCommand("function trialspawnerdetection"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function overhere");
e.source.runCommand("function trialspawnerdetection"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_blackhole_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function prepare4theworst"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Explosion");
e.attackingEntity.runCommand("function goestowasteagain"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function goestowasteagain"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_mining_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function gimmehp"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function torchhere");
e.source.runCommand("function trialspawnerdetection"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_working_flare_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function failingflarework");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function placesculksound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function skyboom234");
e.attackingEntity.runCommand("function knockbackroarparticler");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_fuel_amulet:trigger', {
  onUse: e => { e.source.runCommand("function coalblocker");
e.source.runCommand("function lavablockerrrr");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_soulacium_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function soulacium"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_will_of_gold:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function goldenhealing");
e.attackingEntity.runCommand("function trueligjtningnolttothemax"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_amulet_of_will:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Totemofbimauling");
e.source.runCommand("function Trulywillpowerhuh");
e.source.runCommand("function improudsoproud");
e.source.runCommand("function arandomplaceno");
e.source.runCommand("function totemparticler1");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_honey_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function levitatedearbee");
e.source.runCommand("function thisalfighramuletjaha");
e.source.runCommand("function honeydrippart"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function poppybee");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_slimy_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function slimers");
e.source.runCommand("function eggedestroyemitter");
e.source.runCommand("function placesculksound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function Slowslimers");
e.attackingEntity.runCommand("function criticalhitemitter");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_vintage_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Vintageanuket");
e.source.runCommand("function totemparticler1");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_hotpotato_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function firepath");
e.source.runCommand("function Fireaspecter");
e.source.runCommand("function bouttaexplodee");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_saving_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function thisisatimeamulethtingy");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function randomglassbreak"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_quick_style_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function quick2heavy2");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function quickandheavytodef");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function looting3");
e.attackingEntity.runCommand("function truespeedfordagger");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function quickandheavytoranged");
e.source.runCommand("function randomglassbreak"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_heavy_style_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function heavy2quick");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function quickandheavytodef");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function knockback2");
e.attackingEntity.runCommand("function nerfedbcop");
e.attackingEntity.runCommand("function smashgroundparticle");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function tunnelerfiller");
e.source.runCommand("function quickandheavytoranged");
e.source.runCommand("function placesculksound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_knockback_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function knockback2");
e.source.runCommand("function pusher77");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_dash_and_slash_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Dashnslash123");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_boatski_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function boatskicier");
e.source.runCommand("function snowflakepartic");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function boatispawner");
e.source.runCommand("function cauldronexplosionemitter"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function boatispawner"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_bed_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Bedanulet");
e.source.runCommand("function clearer");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function randomscreenshot"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_defensive_style_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function gimmehp");
e.source.runCommand("function insivile9292");
e.source.runCommand("function totemparticler1");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function deftoquick");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function undyinghahahhaha"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_rythim_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function AHHHHHHH");
e.source.runCommand("function Lightning");
e.source.runCommand("function IMGOINGMALUCASS");
e.source.runCommand("function lavaparticle"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function trueligjtningnolttothemax");
e.source.runCommand("function gimmehp");
e.source.runCommand("function lavaparticle"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function trueligjtningnolttothemax");
e.attackingEntity.runCommand("function gimmehp");
e.attackingEntity.runCommand("function lavaparticle"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function Lightning");
e.source.runCommand("function boomhahah");
e.source.runCommand("function lavaparticle"); },
});

{initEvent.itemComponentRegistry.registerCustomComponent("pa_ranged_style_amulet:trigger", {
    onUse: e => {
        const equippable = e.source.getComponent("minecraft:equippable");
        if (!equippable) return;
        const mainhand = equippable.getEquipmentSlot("Mainhand");
        if (!mainhand.hasItem()) return;
        mainhand.amount++;
    },
})
}
initEvent.itemComponentRegistry.registerCustomComponent('pa_radiation_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function radiationamulet");
e.source.runCommand("function whydoesradidoesthis");
e.source.runCommand("function areacropgrowth");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_curses_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function kingofcurses");
e.source.runCommand("function endchestandreverseportal");
e.source.runCommand("function placesculksound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function asadoutcome");
e.attackingEntity.runCommand("function endchestandreverseportal");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function atestforsomecurses");
e.source.runCommand("function endchestandreverseportal"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_arrows_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function arrowamulet1");
e.source.runCommand("function knockbackroarparticler"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function rainofarrows");
e.source.runCommand("function wardendiggingparticle");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_chicken_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function eggbomb2"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function seedyegg");
e.source.runCommand("function cropgrowthem"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function aneggo");
e.attackingEntity.runCommand("function eggedestroyemitter");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function chickenpopulationbomb");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function placesculksound"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_cheerorfear_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function randomitem12345");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_hijack_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function nomoreffectsforyou");
e.source.runCommand("function areacropgrowth");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_metamorphore_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function metarandomizing");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_the_spawner_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function itallstartshere");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function unfairstart");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_the_decoy_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function decoysummoned");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function placesculksound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_techs_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function shortcutinvisibility");
e.source.runCommand("function endrodparticle");
e.source.runCommand("function endrodparticleabove"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function belowmasher");
e.source.runCommand("function smashgroundparticle");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function boomuptech"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_amulet_of_bounds:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Fullboxxed");
e.source.runCommand("function trialspawnerdetection");
e.source.runCommand("function randomscreenshot"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function stuckwithme4ever");
e.source.runCommand("function cropgrowthem");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function getmeouttahere123");
e.attackingEntity.runCommand("function endchestandreverseportal");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_the_polygons_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function youreallowed");
e.source.runCommand("function endrodparticle");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function acessdeniedlol");
e.source.runCommand("function endrodparticle");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_nuker_amulet1:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function ignitersummon");
e.source.runCommand("function randomscreenshot");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function trialspawnerdetection"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function autodestruct");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function trialspawnerdetection"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_multi_amule_main:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function verystronfregenfor1sec");
e.source.runCommand("function criticalhitemitter");
e.source.runCommand("function placesculksound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function verstrongspeedfor1sec");
e.source.runCommand("function eggedestroyemitter");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function strongspeedjump");
e.attackingEntity.runCommand("function trialspawnerdetection");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function fireresisfor1min");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function trialspawnerdetection"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_valiant_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function speederstevali");
e.source.runCommand("function gimmehp");
e.source.runCommand("function totemparticler1");
e.source.runCommand("function placesculksound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function ashortspeedboost1");
e.source.runCommand("function endrodparticle");
e.source.runCommand("function endrodparticleabove");
e.source.runCommand("function amethystclustersound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function strenghton");
e.attackingEntity.runCommand("function trialspawnerdetection");
e.attackingEntity.runCommand("function randomglassbreak"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_ash_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function Fireaspecter");
e.source.runCommand("function knockback2");
e.source.runCommand("function thisisplagio");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function scorchedreing2876");
e.source.runCommand("function lavaparticle");
e.source.runCommand("function placesculksound"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function nerfingmadnesslol");
e.attackingEntity.runCommand("function Ouch");
e.attackingEntity.runCommand("function smashgroundparticle");
e.attackingEntity.runCommand("function lavaparticle");
e.attackingEntity.runCommand("function amethystclustersound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

{initEvent.itemComponentRegistry.registerCustomComponent("pa_pixie_flute_amulet:trigger", {
    onUse: e => {
        const equippable = e.source.getComponent("minecraft:equippable");
        if (!equippable) return;
        const mainhand = equippable.getEquipmentSlot("Mainhand");
        if (!mainhand.hasItem()) return;
        mainhand.amount++;
    },
})
}
initEvent.itemComponentRegistry.registerCustomComponent('pa_punk_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function skyrocketingbullet");
e.source.runCommand("function firepath");
e.source.runCommand("function shortsamageray");
e.source.runCommand("function anexplosion2876");
e.source.runCommand("function undyingfor1second");
e.source.runCommand("function knockbackroarparticler");
e.source.runCommand("function trialspawnerdetection"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function luckysave0"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_amulet_of_waters:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function wateramulet111"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function rainyestday"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_confusion_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function confusionamulet");
e.source.runCommand("function totemparticler1");
e.source.runCommand("function amethystclustersound"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_amulet_of_a_thousand_eyes:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function invisibletoinferioreyes"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sin_amulet_pride:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sin_amulet_wrath:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sin_amulet_gluttony:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sin_amulet_greed:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sin_amulet_lust:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sin_amulet_sloth:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sin_amulet_envy:trigger', {
  
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('pa_sinfulness_amulet:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function crushedbyyoursins");
e.source.runCommand("function thisisyourcost");
e.source.runCommand("function amethystclustersound"); },
  onUseOn: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function straighttohelltoburn");
e.source.runCommand("function lavaparticle"); },
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); e.attackingEntity.runCommand("function banishedtohellasyoushould");
e.attackingEntity.runCommand("function soulparticler");
e.attackingEntity.runCommand("function placesculksound"); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); e.source.runCommand("function 1298373");
e.source.runCommand("function eggedestroyemitter"); },
});
 });
